/*
 * generated by Xtext 2.11.0
 */
package com.mncml.implementation.pogo.dsl.ui;

import com.google.inject.Injector;
import com.mncml.implementation.pogo.dsl.ui.internal.DslActivator;
import org.eclipse.xtext.ui.guice.AbstractGuiceAwareExecutableExtensionFactory;
import org.osgi.framework.Bundle;

/**
 * This class was generated. Customizations should only happen in a newly
 * introduced subclass. 
 */
public class PogoDslExecutableExtensionFactory extends AbstractGuiceAwareExecutableExtensionFactory {

	@Override
	protected Bundle getBundle() {
		return DslActivator.getInstance().getBundle();
	}
	
	@Override
	protected Injector getInjector() {
		return DslActivator.getInstance().getInjector(DslActivator.COM_MNCML_IMPLEMENTATION_POGO_DSL_POGODSL);
	}
	
}
